#pragma once

#include "pager.h"

/* A pager abstraction for a file. */

class FilePager : public Pager
{
public:
    fileid_t fileid;

    explicit FilePager(fileid_t fileid, PageMapper *mapper);

    virtual long mmap(size_t position, size_t length, size_t *start_pos, size_t *end_pos, size_t *data_end);
};

// vim: tabstop=4 expandtab shiftwidth=4
